NXOpen .NET Reference Guide
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
Public Types | Properties | List of all members
NXOpen.AME.BulkEngineeringObjectBuilder Class Reference

BulkEngineeringObjectBuilder class will be used for bulk Engineering Object Operation. More...

Inheritance diagram for NXOpen.AME.BulkEngineeringObjectBuilder:
NXOpen.AME.MultipleObjectsBuilder NXOpen.AME.AMEBaseBuilder NXOpen.Builder NXOpen.TaggedObject NXOpen.GeometricUtilities.IComponentBuilder NXOpen.Utilities.NXRemotableObject IMessageSink NXOpen.AME.PlcInterfaceVariableBuilder

Public Types

enum  PlacementType { Navigator, Page, Cabinet }
 Choices for placement type, can be Place in Navigator or Place on Page or Place in Cabinet More...
 

Properties

unsafe bool AspectPlacement [get, set]
 Returns or sets the aspect placement More...
 
unsafe
NXOpen.AME.Bulk3DPlacementBuilder 
Bulk3DPlacement [get]
 Returns the bulk 3d placement cabinet builder More...
 
unsafe NXOpen.AME.EOAttributeHolder EOAttributeHolder [get]
 Returns the container for definition holders More...
 
unsafe
NXOpen.AME.EODefAttributeHolder 
EoDefAttributeHolder [get]
 Returns the EO definition attribute holder More...
 
unsafe
NXOpen.AME.EngineeringObjectNameBuilder 
EOName [get]
 Returns the eo name and description ui block More...
 
unsafe
NXOpen.AME.InsertSettingsBuilder 
InsertSettings [get]
 Returns the settings group having the aspect placement and copies per parent More...
 
unsafe
NXOpen.AME.BulkEngineeringObjectBuilder.PlacementType 
PlacementValue [get, set]
 Returns or sets the placement type More...
 
unsafe
NXOpen.AME.ProductDefAttributeHolder 
ProductDefAttributeHolder [get]
 Returns the Product definition attribute holder More...
 
unsafe
NXOpen.Tooling.SelectReuseLibraryItemBuilder 
ReuseLibraryItem [get]
 Returns the selection definition builder More...
 
unsafe
NXOpen.AME.SelectionBaseDefinitionBuilder 
SelectedBaseDefinition [get]
 Returns the selected base definition More...
 
unsafe
NXOpen.AME.SelectAMEBaseNodeList 
SelectedObjects [get]
 Returns the select object More...
 
unsafe bool ShowInAutomation [get, set]
 Returns or sets the show in automation More...
 
unsafe bool ShowInFunction [get, set]
 Returns or sets the show in function More...
 
unsafe bool ShowInLocation [get, set]
 Returns or sets the show in location More...
 
unsafe bool ShowInProduct [get, set]
 Returns or sets the show in product More...
 
unsafe
NXOpen.AME.SymbolLocationBuilder 
SymbolLocation [get]
 Returns the symbol location builder More...
 

Additional Inherited Members

- Public Member Functions inherited from NXOpen.Builder
unsafe NXOpen.NXObject Commit ()
 Commits any edits that have been applied to the builder. More...
 
unsafe void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
unsafe NXOpen.NXObject[] GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
unsafe NXOpen.NXObject GetObject ()
 Returns the object currently being edited by this builder. More...
 
unsafe void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
unsafe bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Protected Member Functions inherited from NXOpen.TaggedObject
new void initialize ()
 <exclude> More...
 

Detailed Description

BulkEngineeringObjectBuilder class will be used for bulk Engineering Object Operation.

To create a new instance of this class, use NXOpen.AME.AMEManager.CreateBulkEngineeringObjectBuilder

Default values.

Property Value

AspectPlacement

false

Bulk3DPlacement.PlacementAngle

ZeroDegree

Bulk3DPlacement.PlacementType

LefttoRight

InsertSettings.AspectPlacement

false

InsertSettings.CopiesPerParent

1

ShowInAutomation

false

ShowInFunction

false

ShowInLocation

false

ShowInProduct

false

Created in NX11.0.0

Member Enumeration Documentation

Choices for placement type, can be Place in Navigator or Place on Page or Place in Cabinet

Enumerator
Navigator 
Page 
Cabinet 

Property Documentation

unsafe bool NXOpen.AME.BulkEngineeringObjectBuilder.AspectPlacement
getset

Returns or sets the aspect placement

Created in NX11.0.0

License requirements to get this property: ad_automation_design ("FULL AUTOMATION DESIGNER")

License requirements to set this property: ad_automation_design ("FULL AUTOMATION DESIGNER")

unsafe NXOpen.AME.Bulk3DPlacementBuilder NXOpen.AME.BulkEngineeringObjectBuilder.Bulk3DPlacement
get

Returns the bulk 3d placement cabinet builder

Created in NX1847.0.0

License requirements: ad_automation_design ("FULL AUTOMATION DESIGNER")

unsafe NXOpen.AME.EOAttributeHolder NXOpen.AME.BulkEngineeringObjectBuilder.EOAttributeHolder
get

Returns the container for definition holders

Created in NX12.0.0

License requirements: ad_automation_design ("FULL AUTOMATION DESIGNER")

unsafe NXOpen.AME.EODefAttributeHolder NXOpen.AME.BulkEngineeringObjectBuilder.EoDefAttributeHolder
get

Returns the EO definition attribute holder

Created in NX12.0.0

License requirements: ad_automation_design ("FULL AUTOMATION DESIGNER")

unsafe NXOpen.AME.EngineeringObjectNameBuilder NXOpen.AME.BulkEngineeringObjectBuilder.EOName
get

Returns the eo name and description ui block

Created in NX11.0.0

License requirements: ad_automation_design ("FULL AUTOMATION DESIGNER")

unsafe NXOpen.AME.InsertSettingsBuilder NXOpen.AME.BulkEngineeringObjectBuilder.InsertSettings
get

Returns the settings group having the aspect placement and copies per parent

Created in NX1847.0.0

License requirements: ad_automation_design ("FULL AUTOMATION DESIGNER")

unsafe NXOpen.AME.BulkEngineeringObjectBuilder.PlacementType NXOpen.AME.BulkEngineeringObjectBuilder.PlacementValue
getset

Returns or sets the placement type

Created in NX1847.0.0

License requirements to get this property: ad_automation_design ("FULL AUTOMATION DESIGNER")

License requirements to set this property: ad_automation_design ("FULL AUTOMATION DESIGNER")

unsafe NXOpen.AME.ProductDefAttributeHolder NXOpen.AME.BulkEngineeringObjectBuilder.ProductDefAttributeHolder
get

Returns the Product definition attribute holder

Created in NX12.0.0

License requirements: ad_automation_design ("FULL AUTOMATION DESIGNER")

unsafe NXOpen.Tooling.SelectReuseLibraryItemBuilder NXOpen.AME.BulkEngineeringObjectBuilder.ReuseLibraryItem
get

Returns the selection definition builder

Created in NX12.0.0

License requirements: ad_automation_design ("FULL AUTOMATION DESIGNER")

unsafe NXOpen.AME.SelectionBaseDefinitionBuilder NXOpen.AME.BulkEngineeringObjectBuilder.SelectedBaseDefinition
get

Returns the selected base definition

Created in NX11.0.0

License requirements: ad_automation_design ("FULL AUTOMATION DESIGNER")

unsafe NXOpen.AME.SelectAMEBaseNodeList NXOpen.AME.BulkEngineeringObjectBuilder.SelectedObjects
get

Returns the select object

Created in NX11.0.0

License requirements: ad_automation_design ("FULL AUTOMATION DESIGNER")

unsafe bool NXOpen.AME.BulkEngineeringObjectBuilder.ShowInAutomation
getset

Returns or sets the show in automation

Created in NX11.0.0

License requirements to get this property: ad_automation_design ("FULL AUTOMATION DESIGNER")

License requirements to set this property: ad_automation_design ("FULL AUTOMATION DESIGNER")

unsafe bool NXOpen.AME.BulkEngineeringObjectBuilder.ShowInFunction
getset

Returns or sets the show in function

Created in NX11.0.0

License requirements to get this property: ad_automation_design ("FULL AUTOMATION DESIGNER")

License requirements to set this property: ad_automation_design ("FULL AUTOMATION DESIGNER")

unsafe bool NXOpen.AME.BulkEngineeringObjectBuilder.ShowInLocation
getset

Returns or sets the show in location

Created in NX11.0.0

License requirements to get this property: ad_automation_design ("FULL AUTOMATION DESIGNER")

License requirements to set this property: ad_automation_design ("FULL AUTOMATION DESIGNER")

unsafe bool NXOpen.AME.BulkEngineeringObjectBuilder.ShowInProduct
getset

Returns or sets the show in product

Created in NX11.0.0

License requirements to get this property: ad_automation_design ("FULL AUTOMATION DESIGNER")

License requirements to set this property: ad_automation_design ("FULL AUTOMATION DESIGNER")

unsafe NXOpen.AME.SymbolLocationBuilder NXOpen.AME.BulkEngineeringObjectBuilder.SymbolLocation
get

Returns the symbol location builder

Created in NX1847.0.0

License requirements: ad_automation_design ("FULL AUTOMATION DESIGNER")


The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.